Subject: [ietf-tls] RE: On doing TLS 1.1 (version numbers)

From: Peter W <[email-masked]>
Date: Wed, 30 May 2001 18:38:16 -0400

On Wed, May 30, 2001 at 03:07:59PM -0700, Joseph Hui wrote:
> If we reserve 1.1 for the grandiose, then there arises the need for 1.0
> plus or 1.0.whatever to cram in the urgently needed features, such as the
> dns_name extension.  However, I recall sound arguments were made in the 
> past that if we don't increment the version number (for instituting such features),
> then web servers and browsers that are now TLS 1.0 compatible will suddenly
> become TLS 1.0 incompatible and their vendors/custodians will thus squawk,
> rightfully so, because of the confusion.

Plus there are benefits for customers, as a product marketed as supporting
TLS 1.1 sounds better, thus encouraging vendors to provide support for the
newer features like dns_name...

-Peter

> -----Original Message-----
> From: Andreas Sterbenz [mailto:[email-masked]]

> Given the way TLS achieves backwards compatibility - namely by
> implementing
> all desired protocol versions - I am very much in favor of keeping the
> number of versions to a minimum. As all the features people really seem
> to
> be interested in (name based virtual hosting, applicability to low
> bandwidth
> devices, additional ciphersuites) can be achieved without requiring
> changes
> to the TLS 1.0 spec itself, I see no reason to rush TLS 1.1.

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]